Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DuplicatesPolicy Enumeration
See Also

Policy for duplicate data items in the database; that is, whether insertion when the key of the key/data pair being inserted already exists in the database will be successful.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public enum DuplicatesPolicy

Visual Basic (Declaration)
    Public Enumeration DuplicatesPolicy

Visual C++
    public enum class DuplicatesPolicy

# Members

| Member name | Description
--- | --- | ---
| NONE | Insertion when the key of the key/data pair being inserted already exists in the database will fail.
| SORTED | Duplicates are allowed and mainted in sorted order, as determined by the duplicate comparison function.
| UNSORTED | Duplicates are allowed and ordered in the database by the order of insertion, unless the ordering is otherwise specified by use of a cursor operation or a duplicate sort function.

# See Also

BerkeleyDB Namespace